For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DocsAPI ReferenceChangelog
DocsAPI ReferenceChangelog
  • REST
    • Authentication
    • Platform
          • GETRetrieves a list of exports for a database
          • POSTAdds an export to a database
          • PUTUpdates an export configuration
          • DELDelete Export
          • PUTUpdate Schedule in Cron Format
          • POSTRun Export
    • Event-Driven Sync (EDRTS)
    • Content
    • FeedAMP Order
    • FeedAMP Order V2
    • FeedAMP Order Source
LogoLogo
RESTPlatformExports

Updates an export configuration

PUT
https://meta.feedonomics.com/api.php/dbs/:db_id/exports/:export_id
PUT
/api.php/dbs/:db_id/exports/:export_id
$curl -X PUT https://meta.feedonomics.com/api.php/dbs/1.1/exports/1.1 \
> -H "x-api-key: x-api-key" \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "name": "export_name2",
> "file_name": "filename.txt",
> "protocol": "ftp",
> "protocol_info": [],
> "host": "host.com",
> "username": "username",
> "password": "password",
> "export_fields": {
> "field1": {
> "id": "512",
> "export_id": "72",
> "field_name": "additional_image_link",
> "export_field_name": "additional_image_link",
> "sort_order": "0"
> },
> "field2": {
> "id": "513",
> "export_id": "72",
> "field_name": "availability",
> "export_field_name": "availability",
> "sort_order": "0"
> }
> },
> "export_selector": "true",
> "file_header": "",
> "file_footer": "",
> "threshold": "0",
> "include_column_names": "1",
> "json_minify_type": "full",
> "export_encoding": "",
> "delimiter": "tab",
> "enclosure": "",
> "escape": "",
> "strip_characters": {
> "char1": "\\r",
> "char2": "\\n",
> "char3": "\\t"
> },
> "show_empty_tags": "0",
> "show_empty_parent_tags": "1",
> "use_cdata": "0",
> "xml_write_document_tag": "1",
> "zip_inner_file_name": "",
> "quoted_fields": "0",
> "sortable_fields": {
> "field1": {
> "name": "Default Sort",
> "value": "",
> "source": ""
> },
> "field2": {
> "name": "additional_image_link",
> "value": "additional_image_link",
> "source": "Fields from Export Map"
> },
> "field3": {
> "name": "availability",
> "value": "availability",
> "source": "Fields from Export Map"
> }
> },
> "deduplicate_field_name": [],
> "export_format": "delimited",
> "timeout": "1200",
> "max_attempts": "3",
> "time_between_attempts": "30",
> "row_sort": "",
> "row_order": "ASC",
> "row_limit": 0,
> "tags": [],
> "validate_custom_input": true,
> "export_index_field": "",
> "destination": "target",
> "destination_region": "en-US"
>}'
200Exports_updatesAnExportConfiguration_example
1{
2 "id": "72",
3 "db_id": "136",
4 "file_name": "filename.txt",
5 "username": "username",
6 "password": "password",
7 "ftp_url": "",
8 "cron": null,
9 "next_run_time": null,
10 "export_selector": "true",
11 "running": "0",
12 "cxn_id": "0",
13 "export_format": "delimited",
14 "name": "export_name2",
15 "protocol": "ftp",
16 "protocol_info": [],
17 "host": "host.com",
18 "file_header": "",
19 "file_footer": "",
20 "threshold": "0",
21 "include_column_names": "1",
22 "json_minify_type": "full",
23 "export_encoding": "",
24 "delimiter": "tab",
25 "compression": "",
26 "quoted_fields": "0",
27 "deduplicate_field_name": [],
28 "timestamp": "0000-00-00 00:00:00",
29 "enclosure": "",
30 "escape": "",
31 "strip_characters": {
32 "char1": "\\r",
33 "char2": "\\n",
34 "char3": "\\t"
35 },
36 "show_empty_tags": "0",
37 "show_empty_parent_tags": "1",
38 "xml_write_document_tag": "1",
39 "use_cdata": "0",
40 "zip_inner_file_name": "",
41 "max_attempts": "3",
42 "time_between_attempts": "30",
43 "row_limit": "0",
44 "row_sort": "",
45 "row_order": "ASC",
46 "legacy_workers": "0",
47 "timeout": "1200",
48 "worker_pid": null,
49 "worker_hostname": null,
50 "blocked": "0",
51 "export_index_field": "",
52 "destination": "target",
53 "destination_region": "en-US",
54 "created_at": "2021-11-15 18:51:37",
55 "export_fields": {
56 "field1": {
57 "id": "569",
58 "export_id": "72",
59 "field_name": "",
60 "export_field_name": "product_can_be_purchased_online",
61 "sort_order": "0"
62 },
63 "field2": {
64 "id": "568",
65 "export_id": "72",
66 "field_name": "price",
67 "export_field_name": "price",
68 "sort_order": "0"
69 }
70 }
71}
Was this page helpful?
Previous

Adds an export to a database

Next

Delete Export

Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

db_iddoubleRequired
export_iddoubleRequired

Headers

x-api-keystringRequired

Request

This endpoint expects any.

Response

Gets a list of extra import fields